/**
 */
package com.cocodin.barcodescan.plugin;

import android.util.Log;

import org.apache.cordova.CallbackContext;
import org.apache.cordova.CordovaInterface;
import org.apache.cordova.CordovaPlugin;
import org.apache.cordova.CordovaWebView;
import org.json.JSONArray;
import com.phonegap.plugins.barcodescanner.BarcodeScanner;

public class BarcodeScanChainway extends CordovaPlugin {

  private static final String TAG = "BarcodeScan";

  public void initialize(CordovaInterface cordova, CordovaWebView webView) {
    super.initialize(cordova, webView);
    Log.d(TAG, "Initializing BarcodeScan Plugin");
  }

  public boolean execute(String action, JSONArray args, final CallbackContext callbackContext) {
    PluginHelper.init(cordova);
    Log.d(TAG, "execute: " + action);
    try{
      String device = args.get(0).toString();
      if (action.equalsIgnoreCase("scan") && device.equalsIgnoreCase("scanner") {
        PluginHelper.scan(cordova, webView, args, callbackContext);
      }else if(action.equalsIgnoreCase("scan") && device.equalsIgnoreCase("movile") {
        BarcodeScanner barcodeScanner = new BarcodeScanner();
        barcodeScanner.scan(args);
      }
    }catch(JSONException e){
      e.printStackTrace();
    }
    return true;
  }

}
